package Ockham::Alert::Search::Swish;

use SWISH::API;
use Ockham::Alert::Resource;
use Ockham::Alert::Config qw( SWISH_INDEX );

use strict;
use warnings;

my $swish = SWISH::API->new( SWISH_INDEX );

sub search { 
    my $query = shift;
    my @resources = ();
    my $results = $swish->Query( $query );
    while ( my $result = $results->NextResult() ) { 
        my $id = $result->Property( 'swishdocpath' );
        my $resource = Ockham::Alert::Resource->retrieve( id => $id );
        push( @resources, $resource ) if $resource;
    }
    return( @resources );
}

1;
