package Ockham::Alert::Utils;

use strict;
use warnings;
use base qw( Exporter );
our @EXPORT_OK = qw( info error fatal tag normalize );

sub info {
    print join( ': ', $0, scalar( localtime ), 'info', shift ), "\n";
}

sub error {
    print join( ': ', $0, scalar( localtime ), 'error', shift ), "\n";
}

sub fatal { 
    print join( ': ', $0, scalar( localtime ), 'fatal', shift ),"\n\n";
    exit( 1 );
}

sub normalize {
    my $string = shift;
    return( lc( $string ) );
}

sub tag { 
    my ( $tag, $attrib, $value ) = @_;
    return '' if ! $value;
    $value =~ s/&/&amp;/g;
    $value =~ s/</&lt;/g;
    $value =~ s/>/&gt;/g;
    return( qq(<$tag class="$attrib">$value</$tag>\n) ) if $attrib;
    return( qq(<$tag>$value</$tag>\n) );
}

1;
