#!/usr/bin/perl

use strict;
use warnings;
use Test::More qw( no_plan );

use_ok( 'Ockham::Alert::Search::Swish' );
my $query = 'creator=john'; 

diag( "Query: $query" );

my @resources = Ockham::Alert::Search::Swish::search( $query );
foreach my $r ( @resources ) { 
    isa_ok( $r, 'Ockham::Alert::Resource' );

    my $authorMatch;
    foreach my $creator ( $r->field( 'creator' ) ) { 
        $authorMatch = $creator if $creator =~ /john/i;
    }
    ok( $authorMatch, "found: $authorMatch" );

}
