<?xml version='1.0' ?>
<xsl:stylesheet
	xmlns:dc="http://purl.org/dc/elements/1.1/"
	xmlns:srw_dc="info:srw/schema/1/dc-v1.1"
	xmlns:srw="http://www.loc.gov/zing/srw/"
	xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
	version='1.0'>

	<xsl:output 
		method='xml'
		omit-xml-declaration='no'
		indent='yes'
		doctype-public='-//W3C//DTD XHTML 1.0 Transitional//EN' 
		doctype-system='http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd' />
	
	<!-- let's get started -->
	<xsl:template match='/'>
	
		<html>
			<head>
				<title>Ockham Alerting Service search results</title>
				<style type="text/css" media="print">
					a {text-decoration: none; color: black}
				</style>
			</head>
			<body style='margin: 3%'>
			
			<!-- display the reason d' existance -->
			<h1>Ockham Alerting Service search results</h1>
			<p>
				<xsl:text>Your search against the Ockham Alerting Service (</xsl:text>
				<xsl:value-of select='srw:searchRetrieveResponse/srw:echoedSearchRetrieveRequest/srw:query'/>
				<xsl:text>) matched </xsl:text>
				<xsl:value-of select='srw:searchRetrieveResponse/srw:numberOfRecords' />
				<xsl:text> record(s), below. For more information about the Service, see: </xsl:text>
				<a href='http://alert.ockham.org/'>http://alert.ockkham.org/</a>
				<xsl:text>.</xsl:text>
			</p>
			
			<!-- list the records -->
			<ol>
				<xsl:for-each select='//srw_dc:dc'>
					<li>
						<a> 
							<xsl:attribute name='href'>
								<xsl:value-of select='dc:identifier' />
							</xsl:attribute>
							<xsl:value-of select='dc:title' />
						</a> 
						<ul class='detaillist'>
							<li>
								<span style='font-weight: bold' >date</span> - 
								<xsl:value-of select='dc:date' />
							</li>
							<li>
								<span style='font-weight: bold' >creator</span> - 
								<xsl:value-of select='dc:creator' />
							</li>
							<li>
								<span style='font-weight: bold' >provider</span> - 
								<xsl:value-of select='srw:provider' />
							</li>
							<li>
								<span style='font-weight: bold' >location</span> - <a>
									<xsl:attribute name='href'>
										<xsl:value-of select='dc:identifier' />
									</xsl:attribute>
									<xsl:value-of select='dc:identifier' />
								</a>
							</li>
							<li>
								<span style='font-weight: bold' >description</span> - 
								<xsl:value-of select='dc:description' />
							</li>
						</ul>
					</li>
				</xsl:for-each>
			</ol>
			<hr />
			<p style='text-align: right'>
				Eric Lease Morgan &lt;<a href='mailto:emorgan@nd.edu'>emorgan@nd.edu</a>&gt;<br />
				Ockham Alerting Service
			</p>
			
			</body>
		</html>
	
	</xsl:template>
	
</xsl:stylesheet>
