<?xml version='1.0' ?>
<xsl:stylesheet
	xmlns:dc="http://purl.org/dc/elements/1.1/"
	xmlns:srw_dc="info:srw/schema/1/dc-v1.1"
	xmlns:srw="http://www.loc.gov/zing/srw/"
	xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
	version='1.0'>

	<xsl:output method='html' omit-xml-declaration='yes' />
	
	<!-- let's get started -->
	<xsl:template match='/'>
	
		<!-- display the reason d' existance -->
		<h1>Ockham Alerting Service search results</h1>
		<p>
			<xsl:text>Your search (</xsl:text>
			<xsl:value-of select='srw:searchRetrieveResponse/srw:echoedSearchRetrieveRequest/srw:query'/>
			<xsl:text>) matched </xsl:text>
			<xsl:value-of select='srw:searchRetrieveResponse/srw:numberOfRecords' />
			<xsl:text> record(s). </xsl:text>
			<xsl:if test="srw:searchRetrieveResponse/srw:numberOfRecords &gt; 0">
				<xsl:text>You can now </xsl:text>
				<a>
					<xsl:attribute name='href'>
						<xsl:text>?cmd=search&amp;query=</xsl:text>
						<xsl:value-of select='srw:searchRetrieveResponse/srw:echoedSearchRetrieveRequest/srw:query' />
						<xsl:text>&amp;output=RSS</xsl:text>
					</xsl:attribute>
					<xsl:text>save this link as an RSS feed</xsl:text>
				</a>
				<xsl:text>, or you can </xsl:text>
				<a>
					<xsl:attribute name='href'>
						<xsl:text>javascript:Q=prompt('To what address do you want to send these results?','');location.href='http://alert.ockham.org?cmd=search&amp;query=</xsl:text>
						<xsl:value-of select='srw:searchRetrieveResponse/srw:echoedSearchRetrieveRequest/srw:query' />
						<xsl:text>&amp;output=Email&amp;address='+Q</xsl:text>
					</xsl:attribute>
					<xsl:text>email these search results</xsl:text>
				</a>
				<xsl:text>.</xsl:text>
			</xsl:if>
		</p>
		
		<!-- list the records -->
		<ol>
			<xsl:for-each select='//srw_dc:dc'>
				<li>
					<a> 
						<xsl:attribute name='href'>
							<xsl:value-of select='dc:identifier' />
						</xsl:attribute>
						<xsl:value-of select='dc:title' />
					</a> 
					<ul class='detaillist'>
						<li>
							<span class='bold'>date</span> - 
							<xsl:value-of select='dc:date' />
						</li>
						<li>
							<span class='bold'>creator</span> - 
							<xsl:value-of select='dc:creator' />
						</li>
						<li>
							<span class='bold'>provider</span> - 
							<xsl:value-of select='dc:provider' />
						</li>
						<li>
							<span class='bold'>location</span> - <a>
								<xsl:attribute name='href'>
									<xsl:value-of select='dc:identifier' />
								</xsl:attribute>
								<xsl:value-of select='dc:identifier' />
							</a>
						</li>
						<li>
							<span class='bold'>description</span> - 
							<xsl:value-of select='dc:description' />
						</li>
					</ul>
				</li>
			</xsl:for-each>
		</ol>
	
	</xsl:template>
	
</xsl:stylesheet>
